% Example 11.13

clc
clear

%Motor rating and characteristics

Prated = 12e3;
Vrated = 230;
Varated = 230/sqrt(3);
ferated = 60;
omegaerated = 2*pi*ferated;
Lambdarated = sqrt(2)*Varated/omegaerated;
Irated = Prated/(sqrt(3)*Vrated);
Ipeakbase = sqrt(2)*Irated;
poles = 4;

%Here are the 60-Hz motor parameters

V10 = Vrated/sqrt(3);
X10 = 0.680;
X20 = 0.672;
Xm0 = 18.7;
R1 = 0.095;
R2 = 0.2;

%Calculate required dq0 parameters
Lm = Xm0/omegaerated;
LS = Lm + X10/omegaerated;
LR = Lm + X20/omegaerated;
Ra = R1;
RaR = R2;

% Operating point
n = 1680;
omegam = n*pi/30;
omegame = (poles/2)*omegam;
Pmech = 9.7e3;
Tmech = Pmech/omegam;

% Loop to plot over lambdaDR
for n = 1:41
   lambdaDR = (0.8 + (n-1)*0.4/40)*Lambdarated;
   lambdaDRpu(n) = lambdaDR/Lambdarated;
   iQ = (2/3)*(2/poles)*(LR/Lm)*(Tmech/lambdaDR);
   iD = (lambdaDR/Lm);
   iDpu(n) = iD/Ipeakbase;
   iQR = - (Lm/LR)*iQ;
   Ia = sqrt((iD^2 + iQ^2)/2);
   Iapu(n) = Ia/Irated;
   omegae = omegame - (RaR/LR)*(iQ/iD);
   fe(n) = omegae/(2*pi);
   Varms = sqrt(((Ra*iD-omegae*(LS-Lm^2/LR)*iQ)^2 + ...
         (Ra*iQ+ omegae*LS*iD)^2)/2);
   Vapu(n) = Varms/Varated;
end

%Now plot
plot(iDpu,Iapu)
hold
plot(iDpu,Vapu,':')
hold
xlabel('i_D [per unit]')
ylabel('per unit')
text(.21,1.06,'Ia')
text(.21,.83,'Va')
