% Example 11.3

clc
clear

% Motor parameters
Rf = 109;
Ra = 0.084;
Kf = 0.694;

% Constant field voltage
Vf = 300;

% Resulting field current
If = Vf/Rf;

% Rated speed in rad/sec
omegarated = 2500*(pi/30);

% Rated power in Watts
Prated = 100*746;

% Rated torque in N-m
Trated = Prated/omegarated;

% Vary the armature voltage from 250 to 500 V
% and calculate speed.

for n=1:101
  Va(n) = 250 * (1 + (n-1)/100);

  % Zero torque
  T = 0;	
  omega = (Va(n)- T*Ra/(Kf*If))/(Kf*If);   
  NoLoadRPM(n) = omega*30/pi;

  % Full-load torque
  T = Trated;
  omega = (Va(n)- T*Ra/(Kf*If))/(Kf*If); 
  FullLoadRPM(n) = omega*30/pi;
end

plot(Va,NoLoadRPM)
hold
plot(Va(20),NoLoadRPM(20),'+')
plot(Va(50),NoLoadRPM(50),'+')
plot(Va(80),NoLoadRPM(80),'+')
plot(Va,FullLoadRPM)
plot(Va(20),FullLoadRPM(20),'o')
plot(Va(50),FullLoadRPM(50),'o')
plot(Va(80),FullLoadRPM(80),'o')
hold

xlabel('Armature voltage [V]')
ylabel('Speed [r/min]')
text(270,2300,'+ = Zero torque')
text(270,2100,'o = Full-load torque')
