%Example 1.5

clc
clear

% Permeability of free space
mu0 = pi*4.e-7;

%All dimensions expressed in meters 
Ac = 9e-4; Ag = 9e-4; g = 5e-4; lc = 0.3;
N = 500;

%Reluctance of air gap
Rg = g/(mu0*Ag);

for n = 1:101
	mur(n) = 100 + (100000 - 100)*(n-1)/100;
	%Reluctance of core
	Rc(n) = lc/(mur(n)*mu0*Ac);
	Rtot = Rg+Rc(n);
	%Inductance
	L(n) = N^2/Rtot;
end


plot(mur,L)
xlabel('Core relative permeability')
ylabel('Inductance [H]')
