% Example 6.4

clc
clear

%Here are the motor parameters

V1 = 230/sqrt(3);
Nph = 3;
poles = 4;
fe = 60;

R1 = 0.095;
X1 = 0.680;
X2 = 0.672;
Xm = 18.7;

%Calculate the synchronous speed

omegas = 4*pi*fe/poles;
ns = 120*fe/poles;

%Calculate stator Thevenin equivalent

Z1eq = j*Xm*(R1+j*X1)/(R1 + j*(X1+Xm));
R1eq = real(Z1eq);
X1eq = imag(Z1eq);

V1eq = abs(V1*j*Xm/(R1 + j*(X1+Xm)));


%Here is the loop over rotor resistance

for m = 1:5

  if m == 1
    R2 = 0.1;
  elseif m==2
    R2 = 0.2;
  elseif m==3
    R2 = 0.5;
  elseif m==4
    R2 = 1.0;
  else
    R2 = 1.5;
  end

%Here is the loop over slip

  for n = 1:200
    s(n) = n/200;			   %slip
    rpm(n) = ns*(1-s(n));			   %rpm
    I2 = abs(V1eq/(Z1eq + j*X2 + R2/s(n)));  %I2
    Tmech(n) = Nph*I2^2*R2/(s(n)*omegas);  %Internal torque
  end  %End of slip loop

%Now plot

  plot(rpm,Tmech)
  if m ==1
	hold
  end

end  %End of resistance loop

hold
xlabel('rpm')
ylabel('Tmech')
