% Example 8.3

clc
clear

% Here are the inductances
Lmax = 0.128;
Lleak = 0.005;

Posintegral = 0;
integral = 0;

N = 500;
tmax = 3.75e-3;
deltat = tmax/N;

% Now do the calculations
for n = 1:(N+1)

   t(n) = tmax*(n-1)/N;
   thetam(n) = -(pi/3) + (400*pi/3) * t(n);

   if (thetam(n) <= 0)
	i(n) = 100*t(n)/(0.005 + 51.1 *t(n));
	dld11dtheta = 0.122;
	Torque(n) = 0.5*i(n)^2*dld11dtheta;
	Posintegral = Posintegral + Torque(n)*deltat;
	integral = Posintegral;
   else
        i(n) = (0.25 - 200*(t(n) - 2.5e-3))/(0.005+51.1*(5e-3 - t(n)));
	dld11dtheta = -0.122;
	Torque(n) = 0.5*i(n)^2*dld11dtheta;
	integral = integral + Torque(n)*deltat;
   end

end 

fprintf('\nPositive torque integral = %g [N-m-sec]',Posintegral)
fprintf('\nTorque integral = %g [N-m-sec]\n',integral)

plot(t*1000,i)
xlabel('time [msec]')
ylabel('Phase current [A]')

pause

plot(t*1000,Torque)
xlabel('time [msec]')
ylabel('Torque [N-m]')
