% Example 8.4

clc
clear

%(a) First plot the lambda-i characteristics


for m = 1:10
theta(m) = 10*(m-1);
   for n=1:101
	i(n) = 30*(n-1)/100;
	Lambda(n) = i(n)*(0.005 + 0.09*((90-theta(m))/90)*(8/(i(n)+8)));
   end

   plot(i,Lambda)
   if m==1
	hold
   end
end

hold
xlabel('Current [A]')
ylabel('Lambda [Wb]')
title('Family of lambda-i curves as theta_m varies from 0 to 90 degrees')
text(17,.7,'theta_m = 0 degrees')
text(20,.06,'theta_m = 90 degrees')

%(b) Now integrate to find the areas.

%Peak lambda at 0 degrees, 25 Amps
lambdamax = 25*(0.005+0.09*(8/(25+8)));

AreaWnet = 0;
AreaWrec = 0;

% 100 integration step
deli = 25/100;
 
for n=1:101
   i(n) = 25*(n-1)/100;
   AreaWnet = AreaWnet + deli*i(n)*(0.09)*(8/(i(n)+8));
   AreaWrec = AreaWrec + deli*(lambdamax - i(n)*(0.005+0.09*(8/(i(n)+8))));
end

Ratio = (AreaWrec + AreaWnet)/AreaWnet;

fprintf('\nPart(b) Ratio = %g',Ratio)

%(c) Calculate the power

rpm = 2500;
rps = 2500/60;
T = 1/rps;
Pphase = 2*AreaWnet/T;
Ptot = 2*Pphase;


fprintf('\n\nPart(c) AreaWnet = %g [Joules]',AreaWnet) 
fprintf('\n        Pphase = %g [W] and Ptot = %g [W]\n',Pphase,Ptot)

